package com.org.hktshop.service.order;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.order.HktOrderRefund;

/**
 * @author hotking03
 */
public interface HktOrderRefundService {
    /**
     * 退款接口
     * @param hktOrderRefund
     */
    void updateOrderRefund(HktOrderRefund hktOrderRefund);

    /**
     * @param hktOrderRefund
     * @return
     */
    Page<HktOrderRefund> queryListByPage(HktOrderRefund hktOrderRefund);

    /**
     * 客户申请退款
     * @param hktOrderRefund
     */
    void cusumerApply(HktOrderRefund hktOrderRefund);

    /**
     * 修改退款订单
     * @param hktOrderRefund
     */
    void updateReturnOrder(HktOrderRefund hktOrderRefund);
}
